Tracira
API referenceLogs

Approve, reject, or send a log back for changes

PATCH
/api/logs/{id}/decision

Authorization

AuthorizationBearer <token>

Workspace webhook token from Settings -> Integrations.

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/api/logs/string/decision" \  -H "Content-Type: application/json" \  -d '{    "decision": "approved"  }'
{
  "ok": true,
  "decidedBy": "string"
}
{
  "error": "string",
  "code": "string",
  "fields": {
    "property1": "string",
    "property2": "string"
  }
}
{
  "error": "string",
  "code": "string",
  "fields": {
    "property1": "string",
    "property2": "string"
  }
}
{
  "error": "string",
  "code": "string",
  "fields": {
    "property1": "string",
    "property2": "string"
  }
}